[HACKERS] configure does not check for bison or flex

2014-06-08 Thread Eric L
I am installing postgresql from source on 64 bit Ubuntu 14.04 and when I run 
the ./configure script, it is successful, but when I run make it fails with an 
error:

ERROR: `flex' is missing on your system.  It is needed to create the file 
`bootscanner.c'.  You can either get flex from a GNU mirror site or download an 
official distribution of PostgreSQL, which contains pre-packaged flex output
I get this same error for bison.  I can install it with sudo apt-get install 
bison and sudo apt-get install flex.  However shouldn't the ./configure 
script be checking for these first?
Eric
  

Re: [HACKERS] configure does not check for bison or flex

2014-06-08 Thread David G Johnston
Eric L wrote
 I am installing postgresql from source on 64 bit Ubuntu 14.04 and when I
 run the ./configure script, it is successful, but when I run make it fails
 with an error:
 
 ERROR: `flex' is missing on your system.  It is needed to create the file
 `bootscanner.c'.  You can either get flex from a GNU mirror site or
 download an official distribution of PostgreSQL, which contains
 pre-packaged flex output
 I get this same error for bison.  I can install it with sudo apt-get
 install bison and sudo apt-get install flex.  However shouldn't the
 ./configure script be checking for these first?
 Eric

Google:  postgresql bison

http://postgresql.1045698.n5.nabble.com/bison-flex-and-configure-td5789215.html

David J.




--
View this message in context: 
http://postgresql.1045698.n5.nabble.com/configure-does-not-check-for-bison-or-flex-tp5806447p5806449.html
Sent from the PostgreSQL - hackers mailing list archive at Nabble.com.


-- 
Sent via pgsql-hackers mailing list (pgsql-hackers@postgresql.org)
To make changes to your subscription:
http://www.postgresql.org/mailpref/pgsql-hackers